package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

/**
 * @author xugh
 * @ClassName: QwFrientNoticeDTO
 * @Description: 企微加好友通知
 * @date 2022年8月18日 上午10:31:14
 */
public class QwFrientNoticeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String corpid;

    private String suiteid;

    private String memberUnionidRelatedId;

    private String memberId;

    private String unionid;

    private String wxEnterpriseId;

    private String enterpriseId;

    private Integer statusFlag;

    private String externalUserid;

    private String wxUserId;

    private String selfExternalUserid;

    private String externalName;

    private String addCreateTime;

    private String avatar;

    private String welcomeCode;
    /**
     * 自定义的state参数
     */
    private String state;

    private String staffId;
    private String changeType;
    // 是否从自建应用下的回调
    private int selfCallback = 0;

    private int retryTimes ;

    public int getRetryTimes() {
        return retryTimes;
    }

    public void setRetryTimes(int retryTimes) {
        this.retryTimes = retryTimes;
    }

    public int getSelfCallback() {
        return selfCallback;
    }

    public void setSelfCallback(int selfCallback) {
        this.selfCallback = selfCallback;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getWelcomeCode() {
        return welcomeCode;
    }

    public void setWelcomeCode(String welcomeCode) {
        this.welcomeCode = welcomeCode;
    }

    public String getMemberUnionidRelatedId() {
        return memberUnionidRelatedId;
    }

    public void setMemberUnionidRelatedId(String memberUnionidRelatedId) {
        this.memberUnionidRelatedId = memberUnionidRelatedId == null ? null : memberUnionidRelatedId.trim();
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId == null ? null : memberId.trim();
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid == null ? null : unionid.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public String getExternalUserid() {
        return externalUserid;
    }

    public void setExternalUserid(String externalUserid) {
        this.externalUserid = externalUserid == null ? null : externalUserid.trim();
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId == null ? null : wxUserId.trim();
    }

    public String getCorpid() {
        return corpid;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }

    public String getSuiteid() {
        return suiteid;
    }

    public void setSuiteid(String suiteid) {
        this.suiteid = suiteid;
    }

    public String getSelfExternalUserid() {
        return selfExternalUserid;
    }

    public void setSelfExternalUserid(String selfExternalUserid) {
        this.selfExternalUserid = selfExternalUserid;
    }

    public String getExternalName() {
        return externalName;
    }

    public void setExternalName(String externalName) {
        this.externalName = externalName;
    }

    public String getAddCreateTime() {
        return addCreateTime;
    }

    public void setAddCreateTime(String addCreateTime) {
        this.addCreateTime = addCreateTime;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getChangeType() {
        return changeType;
    }

    public void setChangeType(String changeType) {
        this.changeType = changeType;
    }
}
